## `storage_ptr::is_not_shared_and_deallocate_is_trivial`

Check if ownership of the memory resource is not shared and deallocate is trivial.

### Synopsis

    bool
    is_not_shared_and_deallocate_is_trivial() const noexcept;

### Description

This function is used to determine if calls to deallocate can effectively be skipped. Equivalent to `! is_shared() && is_deallocate_trivial()`.

Edit this page